Skip to content
Start here

Get the current settings for the active account

client.networkInterconnects.settings.get(SettingGetParams { account_id } params, RequestOptionsoptions?): SettingGetResponse { default_asn }
GET/accounts/{account_id}/cni/settings

Get the current settings for the active account

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Magic WAN WriteMagic WAN ReadMagic Transit ReadMagic Transit Write
ParametersExpand Collapse
params: SettingGetParams { account_id }
account_id: string

Account tag to retrieve settings for

ReturnsExpand Collapse
SettingGetResponse { default_asn }
default_asn: number
formatint32
minimum0

Get the current settings for the active account

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const setting = await client.networkInterconnects.settings.get({ account_id: 'account_id' });

console.log(setting.default_asn);
{
  "default_asn": 0
}
Returns Examples
{
  "default_asn": 0
}